<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.array.append</name>
<version>2</version>
<engineversion>25</engineversion>
<description>Append array1 to array0.</description>
<arguments>
<argument index="1" name="array0" type="Value" desc="array0" />
<argument index="2" name="array1" type="Value" desc="array1" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporaton,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>Note&#160;-&#160;no&#160;duplicate&#160;elements&#160;check&#160;in&#160;return&#160;value!</var></comment></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><var>if&#160;</var><var>$array0</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="008" indent="&#160;"><text>return&#160;</text><var>$array1</var></line>
<line linenr="009" indent=""><var>else&#160;if&#160;</var><var>$array1</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="010" indent="&#160;"><text>return&#160;</text><var>$array0</var></line>
<line linenr="011" indent=""><text>end</text></line>
<line linenr="012" indent=""></line>
<line linenr="013" indent=""><comment><text>*&#160;</text><var>Now&#160;let&#160;me&#160;start&#160;to&#160;find&#160;the&#160;result.</var></comment></line>
<line linenr="014" indent=""><var>$array0.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$array0</var></line>
<line linenr="015" indent=""><var>$array1.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$array1</var></line>
<line linenr="016" indent=""><var>$array0.size.m1&#160;=&#160;</var><var>$array0.size</var><text>&#160;</text><var>-</var><text>&#160;</text><var>1</var></line>
<line linenr="017" indent=""><var>$array1.size.m1&#160;=&#160;</var><var>$array1.size</var><text>&#160;</text><var>-</var><text>&#160;</text><var>1</var></line>
<line linenr="018" indent=""><var>$return.value.size&#160;=&#160;</var><var>$array0.size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$array1.size</var></line>
<line linenr="019" indent=""><var>$return.value&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>$return.value.size</var></line>
<line linenr="020" indent=""><text>copy&#160;array&#160;</text><var>$array0</var><text>&#160;index&#160;</text><var>0</var><text>&#160;...&#160;</text><var>$array0.size.m1</var><text>&#160;into&#160;array&#160;</text><var>$return.value</var><text>&#160;at&#160;index&#160;</text><var>0</var></line>
<line linenr="021" indent=""><text>copy&#160;array&#160;</text><var>$array1</var><text>&#160;index&#160;</text><var>0</var><text>&#160;...&#160;</text><var>$array1.size.m1</var><text>&#160;into&#160;array&#160;</text><var>$return.value</var><text>&#160;at&#160;index&#160;</text><var>$array0.size</var></line>
<line linenr="022" indent=""></line>
<line linenr="023" indent=""><text>return&#160;</text><var>$return.value</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.array.append" /><sval type="int" val="25" /><sval type="string" val="Append array1 to array0." /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="8"><sval type="string" val="array0" /><sval type="string" val="array1" /><sval type="string" val="array0.size" /><sval type="string" val="array1.size" /><sval type="string" val="array0.size.m1" /><sval type="string" val="array1.size.m1" /><sval type="string" val="return.value.size" /><sval type="string" val="return.value" /></sval><sval type="array" size="14"><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611965" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611451" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="11"><sval type="int" val="133" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="11"><sval type="int" val="133" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="array0" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="array1" /></sval></sval><sval type="array" size="10"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporaton, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Note - no duplicate elements check in return value!" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="5" /><sval type="int" val="1" /><sval type="string" val="Now let me start to find the result." /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
